GDBserver

Public Attributes | List of all members
file_handler Struct Reference

## Public Attributes
gdb_fildes_t | fd
int | mask
int | ready_mask
handler_func * | proc
gdb_client_data | client_data
int | error
struct file_handler * | next_file

## Detailed Description

Definition at line 67 of file event-loop.c.

## Member Data Documentation

## ◆ client_data

gdb_client_data file_handler::client_data

Definition at line 82 of file event-loop.c.

Referenced by create_file_handler(), and handle_file_event().

## ◆ error

int file_handler::error

Definition at line 85 of file event-loop.c.

Referenced by handle_file_event().

## ◆ fd

gdb_fildes_t file_handler::fd

Definition at line 70 of file event-loop.c.

Referenced by create_file_handler(), delete_file_handler(), handle_file_event(), and wait_for_event().

## ◆ mask

int file_handler::mask

Definition at line 73 of file event-loop.c.

Referenced by create_file_handler(), delete_file_handler(), and handle_file_event().

## ◆ next_file

struct file_handler* file_handler::next_file

Definition at line 88 of file event-loop.c.

Referenced by create_file_handler(), delete_file_handler(), handle_file_event(), and wait_for_event().

## ◆ proc

handler_func* file_handler::proc

Definition at line 79 of file event-loop.c.

Referenced by create_file_handler(), and handle_file_event().

## ◆ ready_mask

int file_handler::ready_mask

Definition at line 76 of file event-loop.c.

Referenced by create_file_handler(), handle_file_event(), and wait_for_event().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbserver/event-loop.c